<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="ManageTemplates.ascx.cs" EnableViewState="true"
    Inherits="DNNMasters.SEO.SiteMap.UI.ManageTemplates" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.SEO.SiteMap.ComponentArt.Web.UI"
    Assembly="DNNMasters.SEO.SiteMap.ComponentArt.Web.UI" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="URL" Src="~/controls/URLControl.ascx" %>

<asp:Literal ID="_litCSS" runat="server"></asp:Literal>
<asp:HiddenField ID="_hfStep" runat="server" />

<table width="100%" border="0">
    <tr>
        <td align="left">
            <asp:ImageButton ID="_imbBack" ImageUrl="~/DesktopModules/DNNMasters.SEO.Site-Map/UI/Images/Previous-icon.png" runat="server" Visible="false" />
            <asp:LinkButton ID="_lnkBack" resourcekey="_lnkBack" runat="server" CssClass="Normal" />
        </td>
        <td></td>
        <td align="right">
            <asp:ImageButton ID="_imbNext" ImageUrl="~/DesktopModules/DNNMasters.SEO.Site-Map/UI/Images/Next-icon.png" runat="server" />
        </td>
    </tr>
    <tr>
        <td valign="top">
            <table id="_tblStep1" runat="server">
                <tr>
                    <td>
                        <asp:Label ID="_lblStep1" resourcekey="_lblStep1" runat="server" CssClass="Normal"  />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:ListBox ID="_lbxTemplates" runat="server" CssClass="Normal" Width="250" Height="200" /><br />
                        <asp:LinkButton ID="_lnkDeleteTemplate" resourcekey="_lnkDeleteTemplate" runat="server" CssClass="Normal" />
                    </td>
                </tr>
            </table>
            <table id="_tblStep2" runat="server" visible="false">
                <tr>
                    <td colspan="2">
                        <asp:Label ID="_lblStep2" resourcekey="_lblStep2" runat="server" CssClass="Normal"  />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblLayoutType" runat="server" suffix=":" />
                    </td>
                    <td>
                        <asp:DropDownList ID="_ddlLayoutType" runat="server" Width="150px" CssClass="Normal" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="plCells" runat="server" suffix=":" controlname="_ddlCells">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:DropDownList ID="_ddlCells" runat="server" CssClass="Normal" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="plRoots" runat="server" suffix=":" controlname="_ddlRoots">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:DropDownList ID="_ddlRoots" runat="server" CssClass="Normal" />
                    </td>
                </tr>
            </table>
            <asp:UpdatePanel ID="_upEditor" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional" RenderMode="Inline">
                <contenttemplate>
                
                    <table id="_tblStep3" visible="false" runat="server">
                        <tr>
                            <td colspan="2">
                                <asp:Label ID="_lblStep3" resourcekey="_lblStep3" runat="server" CssClass="Normal"  />
                            </td>
                        </tr>
                        <tr>
                            <td class="SubHead">
                                <dnn:label id="plPictureLoc" runat="server" suffix=":" />
                            </td>
                            <td>
                                <asp:RadioButtonList ID="_rblPictureLoc" runat="server" AutoPostBack="True" CssClass="Normal"
                                    RepeatDirection="Horizontal">
                                    <asp:ListItem Value="0" Selected="True">Default</asp:ListItem>
                                    <asp:ListItem Value="1">Others</asp:ListItem>
                                </asp:RadioButtonList>
                            </td>
                        </tr>
                        <tr>
                            <td class="SubHead" valign="middle">
                                <dnn:label id="plCboTabPicElem" runat="server" suffix=":" />
                            </td> 
                            <td>
                                <asp:DropDownList ID="_ddlTabPicElem" runat="server" AutoPostBack="True" Width="150px" CssClass="Normal" />
                            </td>
                        </tr>
                        <tr>
                            <td class="SubHead">
                                <dnn:label id="plUrlTabPic" runat="server" suffix=":" />
                            </td>
                            <td>
                                <dnn:url id="_urlTabPic" runat="server" showtabs="False" urltype="F" Visible="false" />
                                <asp:DropDownList ID="_ddlTabPic" runat="server" Width="150px" CssClass="Normal" />
                            </td>
                        </tr>
                        <tr>
                            <td class="SubHead">
                                <dnn:label id="plLevel" runat="server" suffix=":" />
                            </td>
                            <td>
                                <asp:DropDownList ID="_ddlLevel" runat="server" AutoPostBack="True" CssClass="Normal" Width="150px" />
                            </td>
                        </tr>
                        <tr>
                            <td class="SubHead">
                                <dnn:label id="plLevelImage" runat="server" suffix=":" />
                            </td>
                            <td>
                                <dnn:url id="_urlLevelImage" runat="server" showtabs="False" urltype="F" Visible="false" />
                                <asp:DropDownList ID="_ddlLevelPic" runat="server" Width="150px" CssClass="Normal" />
                            </td>
                        </tr>
                    </table>
                    
                    </contenttemplate>
                  <triggers>
                    <asp:AsyncPostBackTrigger ControlID="_ddlLevel" EventName="SelectedIndexChanged" />
                    <asp:AsyncPostBackTrigger ControlID="_rblPictureLoc" EventName="SelectedIndexChanged" />
                    <asp:AsyncPostBackTrigger ControlID="_ddlTabPicElem" EventName="SelectedIndexChanged" />
                  </triggers>
            </asp:UpdatePanel>
            <table id="_tblStep4" runat="server" visible="false">
                <tr>
                    <td>
                        <asp:Label ID="_lblStep4" resourcekey="_lblStep4" runat="server" CssClass="Normal"  />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="plStyleSheet" runat="server" suffix=":" controlname="_txbCss" />
                        <asp:TextBox ID="_txbCss" runat="server" CssClass="Normal" TextMode="MultiLine" Width="100%" Rows="10" />
                    </td>
                </tr>
            </table>
            <table id="_tblStep5" runat="server" visible="false">
                <tr>
                    <td>
                        <asp:Label ID="_lblStep5" resourcekey="_lblStep5" runat="server" CssClass="Normal"  />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:TextBox ID="_txbTemplateName" runat="server" CssClass="NormalTextBox" Width="150" />
                    </td>
                </tr>
            </table>
        </td>
        <td align="center">
            <asp:ImageButton ID="_imbRefresh" runat="server" ImageUrl="~/images/action_refresh.gif" Visible="false" />
        </td>
        <td id="_tdPreview" runat="server" visible="false" valign="top" width="40%" align="right">
            <componentart:SITEMAP id="_ctlSiteMap" runat="server" SiteMapLayout="Tree" CssClass="SiteMap"
                RootNodeCssClass="RootNode" BackColor="transparent" >
            </componentart:SITEMAP>
        </td>
    </tr>
    
</table>


<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="_upEditor" >
    <ProgressTemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.SEO.Site-Map/UI/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>

